Subject: Re: [PATCH 46/61] mpc885ads: Rework initialization.

From: Scott Wood <[email-masked]>
Date: Wed, 18 Jul 2007 13:29:27 -0500

Vitaly Bordug wrote:
> On Wed, 18 Jul 2007 11:40:07 -0500
> Scott Wood wrote:
>>The CPM reset should take care of that.
>>
> 
> IIRC we had CPM reset prior, and it didn't help, making all those stuff added.

You previously only did the CPM reset when CONFIG_UCODE_PATH was 
enabled.  I saw the same behavior with the smcmr clearing as with the 
CPM reset.

> ok, I may have confused this with something else. Anyway, the only doubt point is
> SMC2 console + SCC3 ENET functionality - it is easier to just test that.

I had some difficulty with SCC3, but I think it's unrelated -- the PHY 
wasn't negotiating properly.  The failure mode was completely different 
when SMC1 was left on.

I tried to test it without my patches to see if it worked there, but it 
wouldn't boot at all.

-Scott